﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ToDo.MvcApp.Models
{
    interface IToDoRepository
    {
        IEnumerable<Task> GetAll();
        Task Get(int id);
        Task Add(Task task);
        void Remove(int id);
        bool Update(Task task);
    }
}
