﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ToDoWebApi.Models
{
    public class ToDoTask
    {
        [Key]
        public int TaskId { get; set; }
        [Required]
        public string Description { get; set; }
        public int CategoryId { get; set; }
        [ForeignKey("CategoryId")]
        public ToDoCategory Category { get; set; }
    }
}