﻿using System;
using System.Web.Http.SelfHost;
using ToDo.MvcApp;

namespace ToDo.WebAPI.SelfHost
{
    class Program
    {
        static void Main(string[] args)
        {
            var configuration = new HttpSelfHostConfiguration("http://localhost:8086");
            WebApiConfig.Register(configuration);
            using (HttpSelfHostServer server = new HttpSelfHostServer(configuration))
            {
                server.OpenAsync().Wait();
                Console.WriteLine("Server [Localhost:8086] started...");
                Console.WriteLine("Press enter to terminate the server...");
                Console.ReadLine();
            }
        }
    }
}
