﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrdersAPI.Models
{
    public class Order
    {
        public int OrderId { get; set; }
        public DateTime PurchaseDate { get; set; }
        public ICollection<OrderDetail> OrderItems { get; set; }
        public int AddressId { get; set; }

        [ForeignKey("AddressId")]
        public Address BillingAddress { get; set; }

        public int CustomerId { get; set; }

        [ForeignKey("CustomerId")]
        public Customer Customer { get; set; }
    }
}
