﻿using Microsoft.Data.Edm;
using Microsoft.Owin.Hosting;
using Owin;
using System;
using System.Web.Http;
using System.Web.Http.OData.Batch;
using OrdersAPI.Models;
using System.Net.Http;

namespace OrdersAPI
{
    class Program
    {
        static void Main(string[] args)
        {
            string serviceUrl = "http://localhost:9000/";

            using (WebApp.Start(serviceUrl, Configure))
            {
                Console.WriteLine("Server listening on {0}", serviceUrl);
                Console.WriteLine("Premi un tasto per chiudere il servizio OData");
                Console.ReadKey();
            }

            // Start OWIN host 
            //using (WebApp.Start<Startup>(url: serviceUrl))
            //{
            //    Console.WriteLine("Server listening on {0}", serviceUrl);
            //    Console.ReadKey();
            //}
        }

        private static void Configure(IAppBuilder builder)
        {
            ShoppingContext shoppingContext = new ShoppingContext();
            HttpConfiguration configuration = new HttpConfiguration();
            IEdmModel model = DbHelper.GetEdmModel(shoppingContext);
            HttpServer server = new HttpServer(configuration);
            configuration.Routes.MapODataRoute("odata", "odata", model,
            new DefaultODataBatchHandler(server));

            builder.UseHttpMessageHandler(server);
        }

    }
}
